#
# spec file for package ffx264
#
# Copyright (c) 2021 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ffx264
Version:        4.1.7
Release:        pm152.1.2
Summary:        A small shell script for encoding to H.264/AVC with FFmpeg
License:        GPL-2.0+
Group:          Productivity/Multimedia/Video/Editors and Convertors
Url:            https://ffx264.teambelgium.net
Source0:        %{name}-%{version}.tar.gz
Requires:       ffmpeg
Requires:       bc
Requires:       MPlayer
Requires:       gpac >= 0.8.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
A small shell script for encoding video files to the H.264/AVC video format
using FFmpeg and libx264.

%prep
%setup -q

%build

%install
install -D -m 755 %{name} %{buildroot}/%{_bindir}/%{name}

gzip -9 %{name}.1
install -D -m 644 %{name}.1.gz %{buildroot}/%{_mandir}/man1/%{name}.1.gz



%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz
%doc AUTHORS ChangeLog LICENSE README *.txt

%changelog
* Tue Feb 16 2021 neutrino8@opensuse.org
- Update to version 4.1.7
  * Fix "too many arguments" error in the H.264 Level code
* Wed Feb 10 2021 neutrino8@opensuse.org
- Update to version 4.1.6
  * Support forcing an H.264 level
* Tue Feb  2 2021 neutrino8@opensuse.org
- Update to version 4.1.5
  * Replace the yadif deinterlacer with bwdif. It's
    faster and provides higher quality
* Fri Jan 22 2021 neutrino8@opensuse.org
- Update to version 4.1.4
  * Remove "a" from the -ac audio option
  * Fix possible negative index in the audio option
* Mon Dec 28 2020 neutrino8@opensuse.org
- Update to version 4.1.3
  * Fix a bug in the $vidtrack variable
* Sun Dec 27 2020 neutrino8@opensuse.org
- Update to version 4.1.2
  * Fixed a long standing bug where audio mapping
    values were incorrect for audio metadata
    resulting in incomplete or wrong values
* Sun Jun 21 2020 neutrino8@opensuse.org
- Update to version 4.1.1
  * Fixed a bug that prevents using TrueHD mono audio
    in the MP4 container
* Tue Jun 16 2020 neutrino8@opensuse.org
- Update to version 4.1.0
  * Support TrueHD audio in the MP4 container
* Fri Mar 27 2020 neutrino8@opensuse.org
- Update to version 4.0.9
  * Check for MPlayer only if AUTOCROP is enabled
* Mon Mar 23 2020 neutrino8@opensuse.org
- Update to version 4.0.8
  * Add -max_muxing_queue_size switch to workaround
    possible issues when muxing Atmos/DTS-X audio
* Mon Mar  9 2020 neutrino8@opensuse.org
- Update to version 4.0.7
  * Bugfix: missing if conditional in the crop code
* Thu Mar  5 2020 neutrino8@opensuse.org
- Update to version 4.0.6
  * Go back to FFmpeg for crop detection
* Sun Feb 23 2020 neutrino8@opensuse.org
- Update to version 4.0.5
  * Use MPlayer for crop detection instead of FFmpeg which
    seems to have issues with 4k/UHD content
* Sat Dec 28 2019 neutrino8@opensuse.org
- Update to version 4.0.4
  * Add support for the noise video filter. Can be beneficial
    on (very) clean sources by applying some noise to avoid
    things like color/light banding in the encode
  * Fine-tuning to the default encoding options
* Mon Nov 11 2019 neutrino8@opensuse.org
- Update to version 4.0.3
  * Added support for the (newer) deblock filter
* Mon Nov  4 2019 neutrino8@opensuse.org
- Update to version 4.0.2
  * Merged two case statements in the metadata code for mkv/mp4/mov
  * Bugfix: Using ADPCM encoding for DTS audio wasn't possible due
    to wrong variable used in the if conditional
* Tue Oct 29 2019 neutrino8@opensuse.org
- Update to version 4.0.1
  * Removed an unneeded check for audio codec in the conerror_func() function
  * Removed a stale "" in the case statement that checks the channels for AC3
  * Support setting the matrixed stereo type when resampling stereo input
  * Support setting the filter type of the audio resample filter
  * Cosmetics
* Mon Oct 28 2019 neutrino8@opensuse.org
- Update to version 4.0.0
  * Added support for director/cast metadata for MP4/MOV/M4V
  * Added +use_metadata_tags to the $movflags variable for MP4/MOV/M4V
  * Support ADPCM encoding for DTS audio
  * Fixed an issue where asking for director/cast occured multiple
    times if remuxing to other containers was enabled
* Sun Oct 27 2019 neutrino8@opensuse.org
- Update to version 3.9.9
  * Use 16 bits as bit depth metadata when encoding to TrueHD audio
  * Removed an unneeded if conditional in the audio bit depth code
  * Add director and cast metadata for the MKV container
  * Reorder some code for the output shell file
  * Cosmetics
* Sat Oct 26 2019 neutrino8@opensuse.org
- Update to version 3.9.8
  * Renamed audio variable aid[i] to aidx[i] and moved it outside
  of the if conditional that decides the audio codec. This
  removes the same code in three places and now uses the
  global aidx[i] variable
  * HE-AACv2 only supports 2 channels. Update the audio code
  to reflect that
  * When running in batch mode, add a warning about automatic
  audio metadata and offer an option to enable/disable it
  * Added -tmp option to MP4Box to store temp files in the
  output directory
  * Some minor improvements to the audio options
* Fri Oct 25 2019 neutrino8@opensuse.org
- Update to version 3.9.7
  * Detect audio bit depth and add it to the audio metadata
  * Added detection for DTS Express and DTS-HD HR for audio copy
  * Use -show_entries instead of -show_streams for detecting
    audio properties with ffprobe. Removes piping to grep and awk
  * Support setting the FLAC bit depth for encoding
  * Minor restructuring and variables renaming in the audio code
  * Updated the man page
* Wed Oct 23 2019 neutrino8@opensuse.org
- Update to version 3.9.6
  * Added support for setting the VBV maxrate and buffer size
  * Set default audio codec based on output container format
  * Add colr option for MP4Box to the video_colorspace_func()
    function and the color primaries code. Only used for MOV
  * Add -color_primaries, -color_trc and -colorspace to the
    FFmpeg command line options
* Tue Oct 22 2019 neutrino8@opensuse.org
- Update to version 3.9.5
  * Add support for SRT/SSA/AAS subtitles for the MOV container
  * Add color characteristics to MP4Box if output is MOV
  * Use smpte170m for option 0 in the color primaries code
  * Update colormatrix in the video_colorspace_func() function
    to smpte170m for NTSC
  * Some code optimizations
* Mon Oct 21 2019 neutrino8@opensuse.org
- Update to version 3.9.4
  * Renamed variables $MDATA and $CHPS to $METADATA and $CHAPS
  * Add $METADATA and $CHAPS to the remuxing code
* Mon Oct 21 2019 neutrino8@opensuse.org
- Update to version 3.9.3
  * Add support for verbose logging to a log file
  * Bugfix: -map_metadata and -map_chapters where not set
    to 0 when the respective options in the config file
    were set to "y"
* Sun Oct 20 2019 neutrino8@opensuse.org
- Update to version 3.9.2
  * Added support for embedding of SRT/SSA/ASS subtitles
  in the MP4/M4V containers
  * Moved back to MP4Box for adding cover art to MP4/M4V/MOV.
  Apparently, after lots of testing, atomicparsley
  creates files that hang during playback
  * Cosmetics
  * Updated the man page
* Sat Oct 19 2019 neutrino8@opensuse.org
- Update to version 3.9.1
  * Use atomicparsley to add cover art for the mp4/m4v
  containers. This removes dependence on MP4Box and
  makes it possible to copy over metadata info in
  an easy way
  * Add +frag_keyframe to the -movflags option when
  output is mp4
  * Renamed variable METACOVER to MKVCOVER
  * Updated the man page
* Fri Oct 18 2019 neutrino8@opensuse.org
- Update to version 3.9.0
  * Bugfix: use correct video track for crop preview with MPlayer
  * Bugfix: in the video_field_parity_func()  function.
    $vidtrack was missing for ffprobe
  * Bugfix: missing ;; in the additional container formats code
  * Renamed variable SCAN_MULTIPLE_VID_TRACKS to SCAN_MULTI_VID_TRACKS
  * Some reordering in the config file
  * Set Catmull-Rom as default Bicubic/Spline tuning
  * Add LPCM detection for audio copy
  * Add support for cover art for the mp4, m4v and mov containers.
    Requires MP4Box from GPAC
  * Some code optimization
* Thu Oct 17 2019 neutrino8@opensuse.org
- Update to version 3.8.9
  * Support the WMV container format
* Wed Oct 16 2019 neutrino8@opensuse.org
- Update to version 3.8.8
  * Support the fftdnoiz denoise filter
* Tue Oct 15 2019 neutrino8@opensuse.org
- Update to version 3.8.7
  * Bugfix: use correct video mapping for crop detection
* Mon Oct 14 2019 neutrino8@opensuse.org
- Update to version 3.8.6
  * Support scanning for multiple video tracks in the input file
* Sun Oct 13 2019 neutrino8@opensuse.org
- Update to version 3.8.5
  * Fixed a typo in the keyframe code
  * Use readlink -e and realpath -e where needed
* Fri Oct 11 2019 neutrino8@opensuse.org
- Update to version 3.8.4
  * Support hardcoding external or embedded subtitles.
    Requires libass support in FFmpeg
  * Fixed a typo in the subtitles code
* Wed Sep 25 2019 neutrino8@opensuse.org
- Update to version 3.8.3
  * Revert using audindex[i] var for audio metadata
    detection
* Wed Sep 25 2019 neutrino8@opensuse.org
- Update to version 3.8.2
  * Use the audindex[i] variable for audio metadata
    during audio copy
  * Updated default audio bitrates for some codecs
* Sun Sep 22 2019 neutrino8@opensuse.org
- Update to version 3.8.1
  * For audio stream copy, in case ffprobe reports
    channels layout as unknown, try to guess the
    amount of channels based on channel detection
    and use that as metadata
  * Set Mobisu transform as default for HDR to SDR
  * Updated the man page
* Sat Sep 21 2019 neutrino8@opensuse.org
- Update to version 3.8.0
  * Add side channel info to the audio metadata
* Thu Sep 19 2019 neutrino8@opensuse.org
- Update to version 3.7.9
  * Support encoding to WMAv1 and WMAv2 audio
  * Update high bit depth pixel formats options
  * Add WMAv1 and WMAv2 audio detection metadata
    when doing audio copy
* Wed Sep 18 2019 neutrino8@opensuse.org
- Update to version 3.7.8
  * Improvements to the audio copy metadata
* Fri Sep 13 2019 neutrino8@opensuse.org
- Update to version 3.7.7
  * Add audio channel metadata when using audio copy
* Thu Sep  5 2019 neutrino8@opensuse.org
- Update to version 3.7.6
  * Code optimization in the audio sample rate metadata
* Thu Aug 29 2019 neutrino8@opensuse.org
- Update to version 3.7.5
  * Use a comma instead of a dash for the audio sample
    rate metadata
* Wed Aug 21 2019 neutrino8@opensuse.org
- Update to version 3.7.4
  * Add audio sample rate to the audio metadata
* Thu Aug  1 2019 neutrino8@opensuse.org
- Update to version 3.7.3
  * Switch to using -x264-params instead of -x264opts.
    The latter will be eventually removed from FFmpeg
* Tue Jul 23 2019 neutrino8@opensuse.org
- Update to version 3.7.2
  * Added support for crop preview using MPlayer when
    autocrop is enabled in the config file. This was
    ported over from my h264enc script
* Thu Jun 13 2019 neutrino8@opensuse.org
- Update to version 3.7.1
  * Added support for the bm3d denoise filter
* Tue Jul 10 2018 neutrino8@opensuse.org
- Update to version 3.7.0
  * Revert previous change. Linear transfer is already set
    in the $tonemap variable
* Mon Jul  9 2018 neutrino8@opensuse.org
- Update to version 3.6.9
  * HDR to SDR: transfer to linear light before doing bt2020-10/12
    transfer
* Sun Apr 15 2018 neutrino8@opensuse.org
- Update to version 3.6.8
  * Support setting the chroma location parameter
* Tue Mar 20 2018 neutrino8@opensuse.org
- Update to version 3.6.7
  * Improvements to the HDR to SDR conversion code, copy color
    characteristics option
  * A few typo fixes
* Sat Feb 24 2018 neutrino8@opensuse.org
- Update to version 3.6.6
  * Set the eq saturation default value to 1.0 (same as filter default)
  * Add the colorspace and colormatrix filters when doing an HDR
    to SDR conversion
  * Lower tonemap desat strength to 2.8
  * Support white point adaptation for HDR to SDR
  * Moved the colorspace filter after the scale one
  * Moved the pixel format filter near the end of the filter chain
* Sat Feb 17 2018 neutrino8@opensuse.org
- Update to version 3.6.5
  * Fixed an issue where in some cases write-testing the output
    directory will fail due usage of readlink -f instead of
    readlink -m
  * Small code optimizations
* Wed Feb  7 2018 neutrino8@opensuse.org
- Update to version 3.6.4
  * Update transfer chars to support latest changes to zimg from git
* Mon Jan  8 2018 neutrino8@opensuse.org
- Update to version 3.6.3
  * Fixed a possible devision by 0 that may occur when one copies
    audio and the bitrate for metadata is reported as N/A by ffprobe
* Sat Jan  6 2018 neutrino8@opensuse.org
- Update to version 3.6.2
  * Moved the eq filter to almost the end of the video filter chain
    as it can lead to banding in certain cases in case the filter
    is in front of most other ones
  * If the eq filter is used, also insert the format one after it
    if a pixel format has been chosen
* Thu Jan  4 2018 neutrino8@opensuse.org
- Update to version 3.6.1
  * Support tweaking the tonemap algorithms for HDR to SDR conversion
  * Increased default desat tonemap value from 2.3 to 4.2
  * Support applying color saturation correction when doing an HDR
    to SDR conversion
  * Added bt2020-12 to the list of transfers when doing color
    characteristics copy
  * Updated the HDR_to_SDR_instructions.txt file
* Wed Jan  3 2018 neutrino8@opensuse.org
- Update to version 3.6.0
  * Don't hardcode the desaturation strength of the tonemap filter
    but let is be an option
  * Removed the matrix and primaries options in the zscale filter
    as it leads to over-saturation of colors
* Tue Jan  2 2018 neutrino8@opensuse.org
- Update to version 3.5.9
  * Disabled audio metadata for batch mode when using audio copy,
    until I figure out how to do it in a decent way
  * Removed default software scaler parameters for bicubic/spline
    They are already the default in FFmpeg so no need to force
    them
  * Use a case statement instead of if condition in option 0 of
    the video_hdr_to_sdr_func() function
* Mon Jan  1 2018 neutrino8@opensuse.org
- Update to version 3.5.8
  * Set proper zscale transfer value in the video_hdr_to_sdr_func()
    function, option 0 (copy color characteristics)
  * Use a desat value of 2.5 for the tonemap filter when doing HDR
    to SDR conversions
  * Don't use pix_fmts in the format filter. It is not really needed
  * Removed 12-bit options from the video_pixfmt_func() function
  * Cosmetics
* Mon Jan  1 2018 neutrino8@opensuse.org
- Update to version 3.5.7
  * Reworked the video_chars_func() function and added reporting
    of video bit depth
  * Initial support for audio codec metadata when doing audio
    copy
  * Increased default E-AC-3 audio bitrate from 768 to 960 kbps
  * Set dialnorm for AC-3/E-AC-3 to its FFmpeg default (-31)
  * Added HDR_to_SDR_instructions.txt file to the package
  * Cosmetics
* Wed Dec 27 2017 neutrino8@opensuse.org
- Update to version 3.5.6
  * Renamed array variable CHARS to VCHARS in the video_chars_func()
    function
  * Report pixel format in the video_chars_func() function
  * Removed strange copy-paste word in the colrospace conversion code
  * Use -v quiet instead of -v error log level for ffprobe
  * Cosmetics
* Mon Dec 25 2017 neutrino8@opensuse.org
- Update to version 3.5.5
  * Initial support for HDR to SDR conversions. Requires
    FFmpeg to be compiled with the zimg library as it
    needs the zscale filter
    https://github.com/sekrit-twc/zimg
* Sun Oct 22 2017 neutrino8@opensuse.org
- Update to version 3.5.4
  * Support dialog level normalization for AC3/EAC3 audio
* Fri Sep 29 2017 neutrino8@opensuse.org
- Update to version 3.5.3
  * Support setting the output video aspect ratio
* Wed Aug 23 2017 neutrino8@opensuse.org
- Update to version 3.5.2
  * Support full chroma input for the software scaler
* Fri Jul 21 2017 neutrino8@opensuse.org
- Add realpath to the CHDIR var for batch mode
* Thu Jul 20 2017 neutrino8@opensuse.org
- Update to version 3.5.1
  * Bugfix: use realpath instead of readlink for the OUTPUT
    var when running in batch mode. Fixes the issue where
    readlink will follow the full path in case the input
    is a symlink which may result of encoding files we
    were not asked to
  * Don't print cropped resolution during runtime
    if batch mode is selected
  * Remove check for realpath. It is now required and not
    optional
* Tue Jul 11 2017 neutrino8@opensuse.org
- Update to version 3.5.0
  * Support setting the min/max keyframe/IDR intervals
* Wed Jun 14 2017 neutrino8@opensuse.org
- Update to version 3.4.9
  * Make software scaler tweaking optional
  * Added support for the unsharp filter for sharpen/blur
  * Use a colon symbol as separation for input/output color range
    in the video_colorspace_func() function as to be consistent
    with the other options. Also set the default to tv:tv
* Tue Jun 13 2017 neutrino8@opensuse.org
- Update to version 3.4.8
  * Bugfix in the video_colorspace_func() function. Wrong value
    used for the ispace option of the filter. Must be bt2020ncl
    instead of just bt2020
* Sat Jun 10 2017 neutrino8@opensuse.org
- Update to version 3.4.7
  * Replace numbers in array variable char of the video_chars_func()
    function with the ones from the for loop
  * Pipe the ffprobe string to tail -1 to work around issues
    with some problematic files
  * Some small improvements to the video_colorspace_func() function
* Fri Jun  9 2017 neutrino8@opensuse.org
- Update to version 3.4.6
  * New function, video_chars_func(), to detect and display video
    characteristics like color range/space/transfer/primaries
  * Detect and display video resolution if video scaling is enabled
  * Detect and display pixel format
* Thu Jun  8 2017 neutrino8@opensuse.org
- Update to version 3.4.5
  * Report software scaler set in the config file
  * Merge the bicubic and spline scaler tuning code
  * Mention for the Lanczos scaler that the scaler
    tuning value is the filter length and not sharpness
* Mon Jun  5 2017 neutrino8@opensuse.org
- Update to version 3.4.4
  * Remove redundant software scaler warning and exit in
    the sws_func() function for the config file
  * Added support for the experimental software scaler
  * Added support for software scaler tuning where applicable
  * Removed additional encoder info on max audio channels support
* Sun Jun  4 2017 neutrino8@opensuse.org
- Update to version 3.4.3
  * Match software scaler options in config file with the
    ones inside the script. $SCALER in config file now
    takes a value between 0 and 9
  * Do some basic checking of scaler option when it's set
    in the config file
* Thu Jun  1 2017 neutrino8@opensuse.org
- Update to version 3.4.2
  * Simplify the scale variable a bit
  * Support SMPTE170M colorspace conversion
  * Support SMPTE170M for color primaries/matrices/transfers
* Tue May 16 2017 neutrino8@opensuse.org
- Update to version 3.4.1
  * Added support for FFmpeg's internal Opus audio encoder
* Sun May 14 2017 neutrino8@opensuse.org
- Update to version 3.4.0
  * Bugfix in the software scale code. Use an if conditional
    to check for an y/n answer
* Sat May 13 2017 neutrino8@opensuse.org
- Update to version 3.3.9
  * Support accurate rounding for the software scalers
  * Support full chroma interpolation for the software scalers
  * Use the flags option of the scale option instead of -sws_flags
    to set scaler and its options
* Mon Apr  3 2017 neutrino8@opensuse.org
- Update to version 3.3.8
  * Support setting the input/output color range
* Sat Mar 18 2017 neutrino8@opensuse.org
- Update to version 3.3.7
  * Update audio compression level values
  * Update colorspace entry for NTSC video
  * Fixed bug in the video_colorspace_func() values
* Wed Feb 22 2017 neutrino8@opensuse.org
- Update to version 3.3.6
  * Support high FPS -> low FPS conversions
  * Bugfix: missing options in FPS conversion menu
* Mon Feb  6 2017 neutrino8@opensuse.org
- Update to version 3.3.5
  * Support the framestep filter for FPS conversion
  * Support halving the frame rate. Only supported for
    50/59.940/60 FPS input
* Wed Jan 25 2017 neutrino8@opensuse.org
- Update to version 3.3.4
  * Small improvement: add "Track $i:" to the question for
    audio channel layout
* Tue Jan 24 2017 neutrino8@opensuse.org
- Update to version 3.3.3
  * Removed one of the OUTPUT variables for batch mode. It is
    no longer needed
  * Rewrote the audio channel layout code. It is now based on
    per-codec encoder support
  * Repositioned the audio channel checking code
* Fri Jan 20 2017 neutrino8@opensuse.org
- Update to version 3.3.2
  * Fixed a small issue in the output for batch mode
* Wed Jan 18 2017 neutrino8@opensuse.org
- Update to version 3.3.1
  * Check channel amount for the libfdk_aac encoder and warn and
    exit on 7 channels as it doesn't support it
  * Use range=tv instead of range=mpeg for the color conversion
    filter
  * Bugfix: return value of variable autocrop wasn't checked
    when running in batch mode resulting in always cropping
    the input files
  * Bugfix in the $OUTPUT variable when running in batch mode
  * Removed readlink from the batch mode variables as it's no
    longer needed
* Sun Jan 15 2017 neutrino8@opensuse.org
- Update to version 3.3.0
  * Support ALAC audio encoding
  * Some small improvements to the audio code
  * A few variable renamings, mostly in the case statements
* Fri Jan 13 2017 neutrino8@opensuse.org
- Update to version 3.2.9
  * Support 50 <-> 60/59.940 FPS conversions
  * Use upper-case words for the color primaries/transfers/matrices
    and pixel formats
  * Support 4.0 audio channel layout in addition to Quad
* Thu Jan 12 2017 neutrino8@opensuse.org
- Update to version 3.2.8
  * Added support for pixel format conversion
  * Added support for colorspace conversion
* Mon Jan  9 2017 neutrino8@opensuse.org
- Update to version 3.2.7
  * Fix a possible issue when detecting the FPS value that occurs
    with some files
  * Expand directory path internally instead of exporting the
    dirname command to the file that gets sourced for encoding
  * Use 'bc' for calculating the detected FPS value
  * Only use fractions internally for FPS values. The user should
    be presented with the floating point value
* Sun Jan  8 2017 neutrino8@opensuse.org
- Update to version 3.2.6
  * Support SMPTE-2084 transfer characteristics
  * Placed the video post-processing filters in their own sub-menu
  * Some small changes to the FPS conversion code
* Fri Jan  6 2017 neutrino8@opensuse.org
- Update to version 3.2.5
  * Bugfix: default output directory wasn't made when running
    in batch mode
  * Display found per-file crop values when running in batch mode
* Thu Jan  5 2017 neutrino8@opensuse.org
- Update to version 3.2.4
  * Support per-file auto-cropping when running in batch mode
  * Use internally full paths for input and output
  * Add a test case for output directory to the script that gets
    sourced for encoding
* Wed Jan  4 2017 neutrino8@opensuse.org
- Update to version 3.2.3
  * Use readlink to get the full path to the cover art image. Fixes
    an issue when running in batch mode
* Fri Dec  2 2016 neutrino8@opensuse.org
- Update to version 3.2.2
  * Merged the output code for the batch mode with that for single
    file input
  * Fixed an issue where remuxing to MP4 may fail in case the user
    chooses FLAC audio
  * Renamed variable $extracon to $remuxcon and $econ to $rcon
  * Made strict option "global" so I won't have to worry about
    adding experimental audio codecs support in the future
  * Clean ups to the FPS conversion menu
* Wed Nov 23 2016 neutrino8@opensuse.org
- Update to version 3.2.1
  * Added support for FLAC audio in MP4. Requires a very recent
    ffmpeg version
  * Added the $strict variable to the remuxing code
  * Use the improved way of gathering info for the audio sample
    rate detection
  * Added the ability to flag the first internal or external
    subtitle as default, when using the option for internal and
    external subtitle copying
  * Added support for LD-AAC audio encoding with libfdk-aac
  * Removed stderr to stdout redirection (2>&1) for some of the
    ffprobe lines. It is no longer needed
* Sun Nov 20 2016 neutrino8@opensuse.org
- Update the Makefile
* Sun Nov 20 2016 neutrino8@opensuse.org
- Update to version 3.2.0
  * Moved checks for supported containers into its own function,
    check_container_func()
  * Improvements to gathering information about the input file.
    Saves us piping to sed and in some cases piping to awk and tail
  * Removed the NOSOUND option since the user can specify 0 for
    amount of audio tracks which equals to encoding with the NOSOUND
    option
  * Placed both subcopy and subcpy variables into a single subparams
    variable. This also removes the NOSUBS variable
  * Placed the video length detection code into its own function,
    video_length_func(), as it is used in two places so we can
    save writing the same stuff twice
  * Instead of skipping bitrate calc for target file size in case
    we can't detect the video length, ask the user to provide it
  * Removed install script and added a Makefile for installation
  * Added new INSTALL file with install/uninstall instructions
* Fri Nov 18 2016 neutrino8@opensuse.org
- Update to version 3.1.9
  * Use process number instead of .old when renaming existing files
  * Added support for detelecining (IVTC). Bumps up config file
    version to 29
  * Minor improvements to the cropping code
* Wed Nov 16 2016 neutrino8@opensuse.org
- Update to version 3.1.8
  * Added support for 3-pass encoding
  * Added support for setting a default audio codec in the config
    file. Bumps up config file version to 28
  * Moved setting the video bitrate before the video filters
  * More variables renamings and other small code tweaks
  * Do some checking on duplicate entries when using additional
    containers and warn and exit
  * Updated the man page
* Mon Nov 14 2016 neutrino8@opensuse.org
- Update to version 3.1.7
  * Set default amount of subtitles to 1 instead of exiting when no
    value is given
  * Allow the user to choose the amount of audio tracks he wants at
    run time instead of requiring it to be set in the config file.
    This removes config file var MAX_AUD_TRACKS and bumps up version
    to 27
  * Renamed array variables audmapval and submapval to audindex and
    subindex since we're not mapping but specifying the audio/sub
    index id with these vars
  * Fixed a possible case where audio params weren't cleared in
    case the nosound option was chosen
* Sun Nov 13 2016 neutrino8@opensuse.org
- Update to version 3.1.6
  * Added support for batch encoding mode, to be activated with the
    new -b option. It's used to encode directories with video files
  * Renamed variable $mode to $encmode for clarity
  * Reworked the input/output code
  * Instead of relying on a config var to set the subtitles amount
    to support, ask the user each time to provide it. Makes the
    code less complex and easier to extend in the future. Bumps up
    config file version to 26
  * Check if the X264PARAMS var is missing from config in case we're
    not using an x264 preset
  * Updated the man page
* Sat Nov 12 2016 neutrino8@opensuse.org
- Update to version 3.1.5
  * Added support for importing external srt/ssa subtitles for the
    mkv, m2ts, mts and ts containers
  * Moved the subtitle code into its own video_subtitles_func()
    function
  * Added support for simultaneously copying subtitles from the
    input file and copying external ones
  * Renamed variable SUBT to SUBNR for clarity
  * Updated the README file and man page
* Thu Nov 10 2016 neutrino8@opensuse.org
- Update to version 3.1.4
  * Check if name of input file matches that of output file and warn
    and exit. Requires the realpath utility
  * Added support for the m2ts, mts, ts and flv containers
  * Merged the code that checks if an audio codec is supported by a
    container with that that checks for additional output containers.
    Removes code duplication and maintainability
  * Update to the audio sample rates. Sync them with
    ffmpeg -h encoder=<encoder>
  * Restrict TrueHD channels to 2, 5 and 6 as that's what the encoder
    currently supports
  * Updated the README file
* Wed Nov  9 2016 neutrino8@opensuse.org
- Update to version 3.1.3
  * Renamed config var CON to CONFMT. Updates config file version
    to 25
  * Reduced some duplication in the audio codec checks for the
    container formats
  * Reduced some error message duplication when checking if an
    additional container supports an audio codec
  * Rework to the additional container selection code
  * Added color functions for the additional container conversion
* Tue Nov  8 2016 neutrino8@opensuse.org
- Update to version 3.1.2
  * Added support for encoding to TrueHD audio. Requires a very
    recent ffmpeg version, preferably latest from git
  * Some small improvements to the additional container output
  * Moved the video_deinterlace_func() function inside the actual
    deinterlace code
  * Update to the README file
  * Update to the man page
* Mon Nov  7 2016 neutrino8@opensuse.org
- Update to version 3.1.1
  * Cosmetics in the code for deinterlacing
  * Instead of skipping FPS conversion if the FPS can't be detected,
    ask the user to provide it
  * Use single brackets instead of double ones in the nosound
    setup code
  * Added license snippet at the top of the script
  * Added support for outputting to additional container formats
  * Do some checking on supported audio codecs for the supported
    containers
  * Check specified container and warn and exit if it's not supported
  * Support setting the FLAC compression level
  * Added h264_mp4toannexb flag in case we're outputting to the AVI
    container
  * Break out of the if conditionals in the audio code and replace
    them with two case statements
  * Update to the README file
* Sun Nov  6 2016 neutrino8@opensuse.org
- Update to version 3.1.0
  * Bugfix: resampling wasn't working for fdk-aac due to missing
    value in the case statement
  * Check if output file exists and if so, move it to $file.old
  * Use test directly instead of an if condition to set the audio
    filters
  * Support bitrate calculations for target file size when doing
    audio copy
  * Use fdk* in the case statements for easier typing
  * Renamed variable astrm to astream for clarity
  * Use [1-2]p in the case statements for passmodes instead of 1p|2p
  * New function, video_field_parity_func(), to detect and report the
    interlace field order. Used by motion-compensation deinterlacing
    and interlaced encoding
  * Detect and display audio sample rate in case resampling is chosen
  * Improvements to the video_fps_func() function. Get the FPS value
    directly instead of outputting to a file and reading it
* Fri Nov  4 2016 neutrino8@opensuse.org
- Update to version 3.0.8
  * Bugfix: the scale variable was used twice for different things
    causing an overwrite of the scale filter parameters, which
    eventually results in ffmpeg complaining and exiting
  * Added support for NTSC <-> NTSC and NTSC <-> PAL frame rate
    conversions
  * New var in config file, VID_FPS_CONVERT, to enable/disable
    FPS conversion. Bumps up config file version to 24
  * Moved the FPS detection code into its own function so it can
    be easily reused
  * Minor cosmetics
  * Updated the README file
* Thu Nov  3 2016 neutrino8@gmail.com
- Update to version 3.0.7
  * Added support for interlace-aware encoding
  * Added support for the spp, uspp and pp7 deblockers
  * Support asking for software scaler during exec time
  * Added new SCALE var to the config file to enable/disable
    support for software scaling. Bumps up the config file
    version to 23
  * Do a test write to see if output directory is writable by
    the script executing user
  * Updated the README file
* Wed Nov  2 2016 neutrino8@gmail.com
- Update to version 3.0.6
  * Added support for motion compensation deinterlacing for both
    deinterlacing at original FPS and bobbing
  * Use denoise var instead of denoiser for the denoise filters
    and rotate var instead of transpose for the transpose filter
  * Added support for deblocking with the fspp filter. This bumps
    up the config file version to 22
  * Update to the README file
* Tue Nov  1 2016 neutrino8@gmail.com
- Update to version 3.0.5
  * Added support for bobbing (deinterlace at double FPS)
  * Cosmetics: add menu header to the Color Primaries option
* Tue Oct 18 2016 neutrino8@gmail.com
- Add changes file
